

using UnityEngine;

namespace AssetGraph.Core.DataTypes
{
    public struct SplitChannelData
    {
        public byte[] ChannelData;
        public (int width, int height) Dimensions;

        public SplitChannelData(byte[] channelData, (int width, int height) widthHeight)
        {
            ChannelData = channelData;
            Dimensions = widthHeight;
        }

        public int Width => Dimensions.width;
        public int Height => Dimensions.height;
        public bool IsValid => ChannelData != null && ChannelData.Length == Width * Height;
    }

}