﻿using AssetGraph.Core.Attributes;
using AssetGraph.Core.DataTypes;
using Unity.Burst;
using Unity.Collections;
using Unity.Jobs;
using UnityEngine;

namespace AssetGraph.Nodes
{
    [NodeInfo("Get Dimensions", "Dimensions/Get Dimensions", false, docuementationURL:"https://git.sam-green.dev/Chromum/UnityImageProcessing_Package/wiki/Nodes%2FImage%2FGetDimensions")]
    public class TextureGetDimensions : AssetGraphNode
    {
        [Core.Attributes.Input("")]
        public ImageData inputTexture;
        
        [Core.Attributes.Output("Width")]
        public int width;
        
        [Core.Attributes.Output("Height")]
        public int height;

        public override void Process()
        {
            this.width = inputTexture.Width;
            this.height = inputTexture.Height;
        }
    }
}
