using System.IO;
using AssetGraph.Core.Attributes;
using AssetGraph.Nodes;
using UnityEngine;
using UnityEditor;

namespace ImageProcessingGraph.Editor.Nodes.MazStuff
{
    [NodeInfo("Import Text", "Imports/Import Text")]
    public class ImportTextNode : AssetGraphNode
    {
        [AssetGraph.Core.Attributes.Input("File Name")]
        public string fileName;
        
        [AssetGraph.Core.Attributes.Input("Directory")]
        public string directory;

        [AssetGraph.Core.Attributes.Output("Text")]
        public string outputText;
        
        public override void Process()
        { 
            outputText = File.ReadAllText(Path.Combine(directory, fileName));
        }
    }
}