﻿using AssetGraph.Core;
using AssetGraph.Core.Attributes;
using UnityEditor;
using UnityEngine;
using UnityEngine.UIElements;

namespace AssetGraph.Nodes
{
    [NodeInfo("", "Utility/Connection", false, null , editorType: typeof(GenericConnectionEditor), docuementationURL: "https://git.sam-green.dev/Chromum/UnityImageProcessing_Package/wiki/Nodes%2FUtils%2FGenericConnection")]
    public class GenericConnection : AssetGraphNode
    { 
        private System.Type internalType;
        public System.Type InternalType { get { return internalType; } set { internalType = value; } }
        
        [Core.Attributes.Input(" ")] public object input;
        [Core.Attributes.Output(" ")] public object output;

        public override void Process()
        {
            this.output = this.input;
        }
    }

    public class GenericConnectionEditor : AssetGraphNodeEditor
    {
        public GenericConnectionEditor(AssetGraphNode node, AssetGraphViewWindow window) : base(node, window)
        {
            this.Q("title").style.display = DisplayStyle.None;
        }
    }
}