using System.IO;
using UnityEngine;
using UnityEditor;
using AssetGraph.Core.Attributes;
using AssetGraph.Nodes;

namespace ImageProcessingGraph.Editor.Nodes.MazStuff
{
    [NodeInfo("Create Directory", "Directory/Create Directory")]
    public class CreateDirectoryNode : AssetGraphNode
    {
        [AssetGraph.Core.Attributes.Input("Directory")] public string inputDirectory;

        [AssetGraph.Core.Attributes.Output("Directory")] public string outputDirectory;

        public override void Process()
        {
            if (!Directory.Exists(inputDirectory))
            {
                Directory.CreateDirectory(inputDirectory);
            }
            outputDirectory = inputDirectory;
        }
    }
}