using System.IO;
using AssetGraph.Core.Attributes;
using AssetGraph.Nodes;
using UnityEngine;
using UnityEditor;

namespace ImageProcessingGraph.Editor.Nodes.MazStuff
{
    [NodeInfo("Material Get Name", "Material/Material Get Name")]
    public class MaterialGetNameNode : AssetGraphNode
    {
        [AssetGraph.Core.Attributes.Input("")] public Material inputObject;
        
        [AssetGraph.Core.Attributes.Output("Name")] public string objectName;
        
        public override void Process()
        {
            objectName = inputObject.name;
        }
    }
    
    [NodeInfo("Mesh Get Name", "Mesh/Mesh Get Name")]
    public class MeshGetNameNode : AssetGraphNode
    {
        [AssetGraph.Core.Attributes.Input("")] public Mesh inputObject;
        
        [AssetGraph.Core.Attributes.Output("Name")] public string objectName;
        
        public override void Process()
        {
            objectName = inputObject.name;
        }
    }
    
    [NodeInfo("Texture Get Name", "Texture/Texture Get Name")]
    public class TextureGetNameNode : AssetGraphNode
    {
        [AssetGraph.Core.Attributes.Input("")] public Texture2D inputObject;
        
        [AssetGraph.Core.Attributes.Output("Name")] public string objectName;
        
        public override void Process()
        {
            objectName = inputObject.name;
        }
    }
    
    [NodeInfo("GameObject Get Name", "GameObject/GameObject Get Name")]
    public class GameObjectGetNameNode : AssetGraphNode
    {
        [AssetGraph.Core.Attributes.Input("")] public GameObject inputObject;
        
        [AssetGraph.Core.Attributes.Output("Name")] public string objectName;
        
        public override void Process()
        {
            objectName = inputObject.name;
        }
    }
}